Package io.vertx.junit5

## Interface VertxExtensionParameterProvider<T>

- Type Parameters:
    `T` - Parameter type
  All Known Implementing Classes:
    `VertxParameterProvider`, `VertxParameterProvider`, `VertxParameterProvider`, `VertxTestContextParameterProvider`

      public interface VertxExtensionParameterProvider<T>

  A `VertxExtension` test method parameter provider service provider interface.

  You can register new providers by pointing to implementations in the `META-INF/services/io.vertx.junit5.VertxExtensionParameterProvider` resource.

  Author:
    Julien Ponge

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `key()` | A string to identify the parameter in an extension context.
    `T` | `newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, org.junit.jupiter.api.extension.ParameterContext parameterContext)` | Provide a new parameter instance.
    `ParameterClosingConsumer<T>` | `parameterClosingConsumer()` | A consumer to close the resource.
    `Class<T>` | `type()` | The parameter type.

- - ### Method Detail

    - #### type

          Class<T> type()

      The parameter type.
      Returns:
        the parameter type

    - #### key

          String key()

      A string to identify the parameter in an extension context.

      In most cases it should be a constant.

      Returns:
        the identifier

    - #### newInstance

          T newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                        org.junit.jupiter.api.extension.ParameterContext parameterContext)

      Provide a new parameter instance.
      Parameters:
        `extensionContext` - the extension context
        `parameterContext` - the parameter context
      Returns:
        the new instance

    - #### parameterClosingConsumer

          ParameterClosingConsumer<T> parameterClosingConsumer()

      A consumer to close the resource.
      Returns:
        the consumer